Cannot find a compatible Android SDK for compilation. To be able to build for Android, install Android SDK 22 or later


#1

Good morning,

I used the script to install all the sdks etc. It downloaded everything but when i run tsn doctor I get the following error.

Please advice


#2

Hi @jacozwarts, thanks for posting.
I’ve seen this happen before.
Can you please install Android Studio, install SDK 25 or higher, with build-tools
and give it a try again?


#3

The build scripts have slowly become unreliable in regards to the Android SDK installation because of how Android(Google) have moved away from the console-line tools, and instead try to bring everything integrated inside of Android Studio.


#4

I had similar problems with the full install script on my mac. so I had to install android studio manually and fix ANDROID_HOME to the right path since the install script pointed it to the wrong path and now things work smoothly.


#5

Me too. I had to do the same thing as you @ganas on my mac.